+ Reply to Thread
Results 1 to 5 of 5

Thread: Archeage now 64 bit only?

  1. #1
    Junior Member
    Join Date
    Aug 2014
    Posts
    8

    Archeage now 64 bit only?

    I uninstalled Archeage a year or two ago.
    But now when I run Glyph the only games shown available to install are Defiance (old) and Rift.
    My computer still runs Windows Vista 32 bit. Can I not play Archeage anymore, or any of the other Glyph games?
    Can anyone help?
    Thanks

  2. #2
    Senior Member
    Join Date
    Apr 2018
    Posts
    182
    Windows Vista SP1 is minimum hardware requirement for AA. So your installer should still install fine. Just in case right click on your glyph logo on the desktop, right mouse click, "Compatibility" and switch that to an OS close to yours, or 32 Bit.

    However, in regards of security and updates I would highly recommend not to play with such old OS anymore.

  3. #3
    Junior Member
    Join Date
    Aug 2014
    Posts
    8
    I cannot install Archage as it is not shown on the Glyph games list.
    Glyph will not let me install Archeage or Defiance 2050, the other game I wanted to try.
    However I have just found out that Steam WILL allow me to install both games.

  4. #4
    Senior Member
    Join Date
    Nov 2017
    Posts
    108
    Vista lol.

  5. #5
    Senior Member
    Join Date
    Apr 2018
    Posts
    182
    It eventualy works when Vista can support DX11.

    With DX9 there are alot of crashes.

+ Reply to Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts